<ion-header>
  <ion-navbar>
    <button ion-button menuToggle>
      <ion-icon name="menu"></ion-icon>
    </button>
    <ion-title *ngIf="!story">PoznajApp</ion-title>
    <ion-title *ngIf="story">{{ story.title }}</ion-title>
  </ion-navbar>
</ion-header>

<ion-content>
  <ion-spinner *ngIf="!story" class="center-spinner"></ion-spinner>
  <div *ngIf="story">
    <ion-slides [pager]="true">
      <ion-slide *ngFor="let slide of story.story_images"
                 [ngStyle]="{'background-image': 'url(' + slide.image_file + ')'}">
        <div class="card-title">{{slide.title}}</div>
      </ion-slide>
    </ion-slides>
    <ion-item>
      {{ story.title }}
      <ion-icon name="ios-information" item-end></ion-icon>
    </ion-item>
    <p>{{ story.description }}</p>
  </div>
  <ion-fab bottom right *ngIf="story">
    <button ion-fab color="primary" [navPush]="pointsPage" [navParams]="{id: story.id}">
      <ion-icon name="pin"></ion-icon>
    </button>
  </ion-fab>
</ion-content>